package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingOpenVersionApplyRequest struct {
	/*
	   同步版本信息     */
	SyncVersion *domain.AlibabaWdkMarketingOpenVersionApplySyncVersionBo `json:"sync_version" required:"true" `
}

func (s *AlibabaWdkMarketingOpenVersionApplyRequest) SetSyncVersion(v domain.AlibabaWdkMarketingOpenVersionApplySyncVersionBo) *AlibabaWdkMarketingOpenVersionApplyRequest {
	s.SyncVersion = &v
	return s
}

func (req *AlibabaWdkMarketingOpenVersionApplyRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SyncVersion != nil {
		paramMap["sync_version"] = util.ConvertStruct(*req.SyncVersion)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingOpenVersionApplyRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
